#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 5 Tier 4 solution with KHTML engine
Name:           khtml
Version: 5.114.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/portingAids/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(phonon4qt5)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Concurrent)

BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  giflib-devel
BuildRequires:  attica-devel >= %version
BuildRequires:  karchive-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kcrash-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  kinit-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  kjs-devel >= %version
BuildRequires:  knotifications-devel >= %version
BuildRequires:  kparts-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kwallet-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  kxmlgui-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  gperf

%description
KHTML is a web rendering engine, based on the KParts technology and using KJS
for JavaScript support.

%files -f khtml5.lang
%_kf5_sysconfdir/xdg/khtmlrc
%_kf5_categoriesdir/khtml.*categories
%_kf5_datadir/kf5/khtml
%_kf5_plugindir/parts/*.so
%_kf5_services/*.desktop

#--------------------------------------------------------------------

%define kf5khtml_major 5
%define libkf5khtml %mklibname kf5khtml %{kf5khtml_major}

%package -n %libkf5khtml
Summary:        KDE Frameworks 5 Tier 4 solution with KHTML engine
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf5khtml
KHTML is a web rendering engine, based on the KParts technology and using KJS
for JavaScript support.

%files -n %libkf5khtml
%_kf5_libdir/libKF5KHtml.so.%{kf5khtml_major}{,.*}

#--------------------------------------------------------------------

%define kf5khtml_devel %mklibname kf5khtml -d

%package -n %kf5khtml_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5khtml = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5khtml_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5khtml_devel
%_kf5_includedir/KHtml/
%_kf5_libdir/cmake/KF5KHtml/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang khtml5


%changelog
* Thu Feb 08 2024 neoclust <neoclust> 5.114.0-1.mga9
+ Revision: 2039545
- New version 5.114.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952045
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947851
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941357
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935007
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922255
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911622
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900226
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887661
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880608
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1872203
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853644
- New version 5.93.0

* Sun Apr 10 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1848469
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754836
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749087
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735269
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723460
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714856
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702034
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691126
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653340
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633193
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625614
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612958
- New version 5.73.0

* Thu Jul 09 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603392
- New version 5.72.0

* Wed Jun 17 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1593940
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582017
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566508
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556684
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546947
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486822
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466232
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457617
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1450999
- New version 5.63.0

* Tue Sep 24 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1445268
- New version 5.62.0

* Fri Jul 12 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420725
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386939
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382423
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374993
- New version 5.56.0
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364541
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356760
- New version 5.54.0
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339220
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318967
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298539
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1249755
- New version 5.49.0

* Mon May 21 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1231168
- New version 5.46.0

* Tue Jan 16 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1193951
- New version 5.42.0

* Thu Dec 28 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1186198
- New version 5.41.0

* Mon Oct 02 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1162807
- New version 5.38
- New version 5.38.0

* Thu Aug 24 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1144715
- New version 5.37.0

* Sat Jul 22 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1128084
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088968
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074539
- New version 5.29.0

* Mon Dec 05 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072610
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058359
- New version 5.27.0

* Sun Sep 11 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1051406
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045114
- New version 5.25.0

* Wed Jul 13 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041709
- New version 5.24.0

* Sun Jun 19 2016 tmb <tmb> 5.23.0-1.mga6
+ Revision: 1036252
- add missing tarball
+ neoclust <neoclust>
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014344
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999600
- New version 5.21.0

* Mon Mar 07 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986962
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942253
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921325
- New version 5.18.0

* Thu Jan 07 2016 luigiwalser <luigiwalser> 5.17.0-2.mga6
+ Revision: 920398
- rebuild for giflib

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909915
- New version 5.17.0
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900508
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899460
- Rebuild against fixed extra-cmake-modules
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888202
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881426
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862987
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862825
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Wed Jul 29 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 858833
- New version 5.12.0

* Wed Jul 01 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849277
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804067
- New version 5.5.0
- New version 5.1.0
- New version 5.1.0
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653448
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0
- New version 4.98.0

* Thu Mar 06 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 600542
- New version 4.97.0

* Thu Feb 27 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597595
- imported package khtml

